Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.oredict
Class ShapedOreRecipe

    java.lang.Object
      net.minecraftforge.oredict.ShapedOreRecipe

All Implemented Interfaces:
  IRecipe

    public class ShapedOreRecipe

extends Object
implements IRecipe

Constructor Summary
`ShapedOreRecipe(Block result, boolean mirrior, Object... recipe)`
`ShapedOreRecipe(Block result, Object... recipe)`
`ShapedOreRecipe(Item result, boolean mirrior, Object... recipe)`
`ShapedOreRecipe(Item result, Object... recipe)`
`ShapedOreRecipe(ItemStack result, boolean mirrior, Object... recipe)`
`ShapedOreRecipe(ItemStack result, Object... recipe)`

Method Summary
`ItemStack` | `getCraftingResult(InventoryCrafting var1)` Returns an Item that is the result of this recipe
`ItemStack` | `getRecipeOutput()`
`int` | `getRecipeSize()` Returns the size of the recipe area
`boolean` | `matches(InventoryCrafting inv)` Used to check if a recipe matches current crafting inventory
`void` | `setMirriored(boolean mirrior)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapedOreRecipe

    public ShapedOreRecipe(Block result,
                           Object... recipe)

### ShapedOreRecipe

    public ShapedOreRecipe(Item result,
                           Object... recipe)

### ShapedOreRecipe

    public ShapedOreRecipe(ItemStack result,
                           Object... recipe)

### ShapedOreRecipe

    public ShapedOreRecipe(Block result,
                           boolean mirrior,
                           Object... recipe)

### ShapedOreRecipe

    public ShapedOreRecipe(Item result,
                           boolean mirrior,
                           Object... recipe)

### ShapedOreRecipe

    public ShapedOreRecipe(ItemStack result,
                           boolean mirrior,
                           Object... recipe)

Method Detail

### getCraftingResult

    public ItemStack getCraftingResult(InventoryCrafting var1)

  Description copied from interface: `IRecipe`
  Returns an Item that is the result of this recipe

  Specified by:
    `getCraftingResult` in interface `IRecipe`

### getRecipeSize

    public int getRecipeSize()

  Description copied from interface: `IRecipe`
  Returns the size of the recipe area

  Specified by:
    `getRecipeSize` in interface `IRecipe`

### getRecipeOutput

    public ItemStack getRecipeOutput()

  Specified by:
    `getRecipeOutput` in interface `IRecipe`

### matches

    public boolean matches(InventoryCrafting inv)

  Description copied from interface: `IRecipe`
  Used to check if a recipe matches current crafting inventory

  Specified by:
    `matches` in interface `IRecipe`

### setMirriored

    public void setMirriored(boolean mirrior)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD